Salta ai contenuti

Conferma l'iscrizione di un ospite (dal link nell'e-mail)

POST
/v1/registrations/confirm
curl --request POST \
--url https://api.vimine.network/v1/registrations/confirm \
--header 'Content-Type: application/json' \
--data '{ "token": "example" }'

Consuma il token contenuto nel link di conferma: un tipo gratuito viene confermato (la risposta porta il token del QR), uno a pagamento resta riservato per il periodo di riserva previsto dall’evento e la risposta porta payment_instructions. Idempotente alla ripetizione.

Tipo di contenutoapplication/json
object
token
obbligatorio
string
Esempiogenerato
{
"token": "example"
}

L’iscrizione

Tipo di contenutoapplication/json
object
id
string formato: uuid
status
string
Valori ammessi: reserved confirmed cancelled refunded
event
object
id
string
slug
string
title
string
starts_at
string formato: date-time
ends_at
string formato: date-time
nullable
timezone
string
status
string
location
string
nullable
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string formato: date-time
nullable
checked_in_at
string formato: date-time
nullable
cancelled_at
string formato: date-time
nullable
cancel_reason
string
nullable
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string formato: date-time
payment_instructions

Come versare il contributo finché l’iscrizione è riservata

string
nullable
note

Testo libero scritto dalla persona. Nascosto (null) ai client di terze parti quando l’associazione ha dichiarato di trattare categorie particolari di dati

string
nullable
created_at
string formato: date-time
token

Il contenuto del QR dell’iscrizione (vmt_…), solo per le iscrizioni confermate

string
nullable
Esempio
{
"status": "reserved"
}

Il link non è valido o è scaduto (invalid_token)

Non trovato

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

L’iscrizione non è più attiva o l’evento è stato annullato

Troppe richieste

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Errore interno

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}